Subject: [PATCH] arm64: do away with ARCH_[WANT_OPTIONAL|REQUIRE]_GPIOLIB

From: [email-masked] (Will Deacon)
Date: Fri, 3 Jun 2016 10:16:09 +0100

On Fri, Jun 03, 2016 at 12:28:15AM +0200, Linus Walleij wrote:
> On Thu, Jun 2, 2016 at 8:05 PM, Will Deacon <[email-masked]> wrote:
> > On Thu, Jun 02, 2016 at 02:14:30PM +0200, Linus Walleij wrote:
> >> This replaces:
> >>
> >> - "select ARCH_REQUIRE_GPIOLIB" with "select GPIOLIB" as this can
> >>   now be selected directly.
> >>
> >> - "select ARCH_WANT_OPTIONAL_GPIOLIB" with no dependency: GPIOLIB
> >>   is now selectable by everyone, so we need not declare our
> >>   intent to select it.
> >>
> >> Cc: Michael B?sch <[email-masked]>
> >> Signed-off-by: Linus Walleij <[email-masked]>
> >> ---
> >> ARM64/AArch64 maintainers:
> >> Please apply this patch directly for cleanups.
> >
> > Just checking -- you're aiming to have this in 4.7-rc ?
> 
> No cleanups for v4.8, not fixes for v4.7.
> There is no hurry, I have all patience in the world.

Okey doke! I thought this might be blocking some bigger work for the merge
window, but I'll leave it to Catalin given that's not the case.

Thanks for the clarification,

Will